Bug 2136274 - CVE-2022-40303 libxml2: integer overflows with XML_PARSE_HUGE [fedora-all]
Summary: CVE-2022-40303 libxml2: integer overflows with XML_PARSE_HUGE [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libxml2
Version: 36
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-40303
TreeView+ depends on / blocked
 
Reported: 2022-10-19 19:18 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-11-13 01:12 UTC (History)
2 users (show)

Fixed In Version: libxml2-2.10.3-1.fc36 libxml2-2.10.3-2.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-25 13:13:01 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2022-10-19 19:18:34 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2136266

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Guilherme de Almeida Suckevicz 2022-10-19 19:18:36 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2136266,2136274

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-10-20 15:05:10 UTC
FEDORA-2022-a6812b0224 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a6812b0224

Comment 3 Fedora Update System 2022-10-20 15:20:37 UTC
FEDORA-2022-aeafd24818 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-aeafd24818

Comment 4 Fedora Update System 2022-10-20 18:21:42 UTC
FEDORA-2022-a6812b0224 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a6812b0224`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a6812b0224

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-10-21 09:47:59 UTC
FEDORA-2022-aeafd24818 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-aeafd24818`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-aeafd24818

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-10-21 12:08:14 UTC
FEDORA-2022-fcf5dbb447 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-fcf5dbb447

Comment 7 Fedora Update System 2022-10-22 14:55:25 UTC
FEDORA-2022-fcf5dbb447 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-fcf5dbb447`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-fcf5dbb447

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-10-24 11:13:50 UTC
FEDORA-2022-a6812b0224 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a6812b0224`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a6812b0224

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-10-24 14:13:47 UTC
FEDORA-2022-aeafd24818 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-aeafd24818`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-aeafd24818

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-10-24 14:19:45 UTC
FEDORA-2022-fcf5dbb447 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-fcf5dbb447`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-fcf5dbb447

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-10-25 13:13:01 UTC
FEDORA-2022-aeafd24818 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-11-01 14:46:54 UTC
FEDORA-2022-a6812b0224 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a6812b0224`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a6812b0224

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-11-04 08:54:44 UTC
FEDORA-2022-a6812b0224 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a6812b0224`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a6812b0224

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-11-04 10:55:35 UTC
FEDORA-2022-fcf5dbb447 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-fcf5dbb447`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-fcf5dbb447

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-11-13 01:12:32 UTC
FEDORA-2022-a6812b0224 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.